petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESGetNumberFunctionEvals

Gets the number of user provided function evaluations done by SNES.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetNumberFunctionEvals(SNES snes, PetscInt *nfuncs)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

nfuncs -number of evaluations

Notes: Reset every time SNESSolve is called unless SNESSetCountersReset() is used.

### Keywords

SNES, nonlinear, get, maximum, unsuccessful, steps

### See Also

SNESGetMaxLinearSolveFailures(), SNESGetLinearSolveIterations(), SNESSetMaxLinearSolveFailures(), SNESGetLinearSolveFailures(), SNESSetCountersReset()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages